--egy adott nev beteg eseteinek lekrdezse (nincs nla TAJ krtya s messze lakik)

SELECT     b.beteg_id, b.taj, b.beteg_nev, b.beteg_lakcim, a1.alk_nev AS eset_orvos_nev, 
	d1.diagn_leiras, d1.diagn_kod, m.megj_datum, m.kezeles_leairas, 
                      a2.alk_nev AS kezeloorvos_nev
FROM         dbo.beteg AS b INNER JOIN
      dbo.eset AS e ON b.beteg_id = e.beteg_id INNER JOIN
      dbo.megjelenes AS m ON e.eset_id = m.eset_id INNER JOIN
      dbo.diagnozis_torzs AS d1 ON e.beut_diagn_id = d1.diagn_id INNER JOIN
      dbo.orvos AS o1 ON e.orvos_id = o1.orvos_id INNER JOIN
      dbo.alkalmazott AS a1 ON o1.orvos_id = a1.alk_id INNER JOIN
      dbo.orvos AS o2 ON m.kezelo_orvos_id = o2.orvos_id INNER JOIN
      dbo.alkalmazott AS a2 ON o2.orvos_id = a2.alk_id
where beteg_nev like 'Szeles%'
order by megj_datum for xml auto



create procedure beteg_esetei
@betegnev nvarchar(100)
as
SELECT b.beteg_nev,  
b.taj, b.beteg_lakcim, b.szul_datum, 
b.anyja_neve, a.alk_nev AS eset_orvos_nv,d.diagn_kod, d.diagn_leiras, 
e.anamnezis, m.megj_datum,m.kezeles_leairas,
a2.alk_nev AS megj_orvos_nv 
FROM  beteg AS b INNER JOIN
	  eset AS e ON b.beteg_id = e.beteg_id INNER JOIN
	  megjelenes AS m ON e.eset_id = m.eset_id INNER JOIN
	  orvos AS o ON e.orvos_id = o.orvos_id INNER JOIN
	  alkalmazott AS a ON o.orvos_id = a.alk_id INNER JOIN
	  diagnozis_torzs AS d ON e.fo_diagn_id = d.diagn_id inner join
	  orvos AS o2 ON m.kezelo_orvos_id = o2.orvos_id INNER JOIN
	  alkalmazott AS a2 ON o2.orvos_id = a2.alk_id 
where beteg_nev like  @betegnev
